Failure Upgrading a Hardened L.E.S. Agent for L.E.M.S.S. Device Control

Version 1

    Details

    Lumension Endpoint Management and Security Suite 7.3+


    Issue


    Users attempting to upgrade an L.E.S. agent for L.E.M.S.S. Device Control have experienced failures. Common symptoms:

         
    • L.E.M.S.S. Server Console: On the Manage > Endpoints page, the LDC Installed status for the agent is continuously in Pending.
    •    
    • L.E.M.S.S. Agent Control Panel: On the Summary page, the Device Control status is Failed.


    Solution

    Client Hardening must be disabled on the L.E.S. agent you want to upgrade for L.E.M.S.S. Device Control.

    To successfully upgrade:

         
    • L.E.S. agent must be version 4.4 or greater. You can use the Client Status Report in L.E.S. to determine the version  of the agents on all endpoints reporting to your L.E.S. servers.
    •    
    • Endpoint hosting the agent must not be running an embedded version of Windows or Windows 2000.
    •    
    • L.E.S. Agent's Client Hardening option must be set to Disabled.

    Disabling Client Hardening on an L.E.S. Agent:

         
    1. In the L.E.S. Management Console, select Tools > Default Options. The Default Options dialog opens.
    2.    
    3. Select the Computer tab.
    4.    
    5. In the Option column, find Client Hardening and set its Current Value to Disabled.
    6.    
    7. Click Save.

    Result: Client Hardening is the agent is disabled and upgrading of the agent to L.E.M.S.S. Device Control commences.

    TIP: An alternative solution is to uninstall the L.E.S. agent from the endpoint and install a new L.E.M.S.S agent.